Skip to main content
GET
/
api
/
v1
/
projects
/
{project_id}
/
users
List Project Users
curl --request GET \
  --url https://api.devkit4ai.com/api/v1/projects/{project_id}/users \
  --header 'Authorization: Bearer <token>'
{
  "users": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "email": "<string>",
      "full_name": "<string>",
      "is_active": true,
      "created_at": "2023-11-07T05:31:56Z",
      "joined_at": "2023-11-07T05:31:56Z"
    }
  ],
  "total": 123,
  "page": 123,
  "page_size": 123
}

Documentation Index

Fetch the complete documentation index at: https://devkit4ai.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

project_id
string<uuid>
required

Query Parameters

page
integer
default:1
Required range: x >= 1
page_size
integer
default:50
Required range: 1 <= x <= 100
search
string | null
is_active
boolean | null

Response

Successful Response

users
ProjectUserResponse · object[]
required
total
integer
required
page
integer
required
page_size
integer
required